<%@ page contentType="text/html; charset=ISO-8859-15" language="java" %>
<%@ include file="/header.jsp" %>

<h2>>> Projects</h2>

<%@ include file="navigation.jsp" %>

<%@ include file="errors.jsp" %>
<br>

<table cellpadding="0" cellspacing="0">
	<tr>
		<td align="center">&nbsp;&nbsp;<b>ID</b>&nbsp;&nbsp;</td>
		<td align="left">&nbsp;&nbsp;<b>Name</b>&nbsp;&nbsp;</td>
		<td align="center">&nbsp;&nbsp;<b>Enabled</b>&nbsp;&nbsp;</td>
	</tr>
	<c:forEach items="${projects}" var="project">
		<tr>
			<td align="center">
				&nbsp;&nbsp;<c:out value="${project.projectId}"/>&nbsp;&nbsp;</td>
			<td align="left">
				&nbsp;&nbsp;<html:link page="/project/ProjectVP.do" name="project" property="projectParameters"><c:out value="${project.name}"/></html:link>&nbsp;&nbsp;</td>
			<td align="center">&nbsp;&nbsp;
				<c:choose>
					<c:when test="${project.enabled}">yes</c:when>
					<c:otherwise>no</c:otherwise>
				</c:choose>
				&nbsp;&nbsp;</td>
		</tr>
	</c:forEach>
</table>

<br>

<table cellpadding="0" cellspacing="0">
	<tr>
		<td><html:link page="/project/ProjectVP.do">New...</html:link></td>
	</tr>
</table>

<br>

<table cellpadding="0" cellspacing="0">
	<tr>
		<td><b class="gray">Note: You cannot delete projects, because issues might rely on them.<br>
			Do not rename and recycle projects, if the new project name refers to a different project,
			since the issues then point to the wrong project.<br>
			Instead, disable the unused projects.</b></td>
	</tr>
</table>

<%@ include file="/footer.jsp" %>
