<%@ page contentType="text/html; charset=ISO-8859-15" language="java" %>
<%@ include file="/header.jsp" %>

<h2>>> Issues</h2>

<%@ include file="navigation.jsp" %>

<html:form action="/issue/search/SearchRH.do" method="post">

<table cellpadding="2">
	<tr>
		<td align="right" width="500">
			<html:submit property="Search" value=" Search "/>
		</td>
	</tr>
</table>

<table cellpadding="2">
	<tr>
		<td align="right"><b>Project</b></td>
		<td align="left">
			<html:select property="filterProjectId">
				<html:options collection="filterProjectIdOptions" property="value" labelProperty="label"/>
			</html:select></td>
		<td width="10" align="left"><spacer width="10"></td>
		<td align="right"><b>Type</b></td>
		<td align="left">
			<html:radio property="filterType" value=""/>any
			<html:radio property="filterType" value="1"/>Bug
			<html:radio property="filterType" value="2"/>Request</td>
	</tr>
	<tr>
		<td align="right"><b>Reported by</b></td>
		<td align="left">
			<html:select property="filterReporter">
				<html:options collection="filterReporterOptions" property="value" labelProperty="label"/>
			</html:select></td>
		<td width="10" align="left"><spacer width="10"></td>
		<td align="right"><b>Priority</b></td>
		<td align="left">
			<html:radio property="filterPriority" value="1"/>1
			<html:radio property="filterPriority" value="2"/>1-2
			<html:radio property="filterPriority" value="3"/>1-3
			<html:radio property="filterPriority" value="4"/>1-4
			<html:radio property="filterPriority" value=""/>1-5</td>
	</tr>
	<tr>
		<td align="right"><b>Developer</b></td>
		<td align="left">
			<html:select property="filterDeveloper">
				<html:options collection="filterDeveloperOptions" property="value" labelProperty="label"/>
			</html:select></td>
		<td width="10" align="left"><spacer width="10"></td>
		<td align="right"><b>Status</b></td>
		<td align="left">
			<html:radio property="filterStatus" value=""/>any
			<html:radio property="filterStatus" value="1"/>New
			<html:radio property="filterStatus" value="2"/>Open
			<html:radio property="filterStatus" value="3"/>Processed
			<html:radio property="filterStatus" value="6"/>Tested
			<html:radio property="filterStatus" value="4"/>Closed
			<html:radio property="filterStatus" value="5"/>Rejected</td>
	</tr>
	<tr>
		<td align="right"><b>ID</b></td>
		<td align="left"><html:text property="filterIssueId" size="6"/></td>
		<td width="10" align="left"><spacer width="10"></td>
		<td align="right"><b>Text</b></td>
		<td align="left">
			<html:text property="filterSearchString" size="30"/>
			(all words must occur anywhere in the issue)&nbsp;</td>
	</tr>
</table>
</html:form>

<%@ include file="errors.jsp" %>
<br>

<table cellpadding="0" cellspacing="0">
	<tr>
		<td align="center">&nbsp;&nbsp;<b>
			<html:link page="/issue/search/SearchRH.do?order=1">ID</html:link></b>&nbsp;&nbsp;</td>
		<td align="left">&nbsp;&nbsp;<b>
			<html:link page="/issue/search/SearchRH.do?order=2">Subject</html:link></b>&nbsp;&nbsp;</td>
		<td align="center">&nbsp;&nbsp;<b>
			<html:link page="/issue/search/SearchRH.do?order=3">Project</html:link></b>&nbsp;&nbsp;</td>
		<td align="center">&nbsp;&nbsp;<b>
			<html:link page="/issue/search/SearchRH.do?order=4">Type</html:link></b>&nbsp;&nbsp;</td>
		<td align="center">&nbsp;&nbsp;<b>
			<html:link page="/issue/search/SearchRH.do?order=5">Priority</html:link></b>&nbsp;&nbsp;</td>
		<td align="center">&nbsp;&nbsp;<b>
			<html:link page="/issue/search/SearchRH.do?order=6">Status</html:link></b>&nbsp;&nbsp;</td>
		<td align="center">&nbsp;&nbsp;<b>
			<html:link page="/issue/search/SearchRH.do?order=7">Reported by</html:link></b>&nbsp;&nbsp;</td>
		<td align="center">&nbsp;&nbsp;<b>
			<html:link page="/issue/search/SearchRH.do?order=8">Developer</html:link></b>&nbsp;&nbsp;</td>
	</tr>
	<c:forEach items="${issues}" var="issue">
		<tr>
			<td align="center">
				&nbsp;&nbsp;<c:out value="${issue.issueId}"/>&nbsp;&nbsp;</td>
			<td align="left">
				&nbsp;&nbsp;<html:link page="/issue/edit/IssueVP.do" name="issue" property="issueParameters"><c:out value="${issue.name}"/></html:link>&nbsp;&nbsp;</td>
			<td align="center">
				&nbsp;&nbsp;<c:out value="${issue.project}"/>&nbsp;&nbsp;</td>
			<td align="center">
				&nbsp;&nbsp;<c:out value="${issue.type}"/>&nbsp;&nbsp;</td>
			<td align="center">
				&nbsp;&nbsp;<c:out value="${issue.priority}"/>&nbsp;&nbsp;</td>
			<td align="center">
				&nbsp;&nbsp;<c:out value="${issue.status}"/>&nbsp;&nbsp;</td>
			<td align="center">
				&nbsp;&nbsp;<c:out value="${issue.reporter}"/>&nbsp;&nbsp;</td>
			<td align="center">
				&nbsp;&nbsp;<c:out value="${issue.developer}"/>&nbsp;&nbsp;</td>
		</tr>
	</c:forEach>
</table>

<br>

<table cellpadding="0" cellspacing="0">
	<tr>
		<td><html:link page="/issue/edit/IssueVP.do">New...</html:link></td>
	</tr>
</table>

<br>

<table cellpadding="0" cellspacing="0">
	<tr>
		<td><b class="gray">Click on a column to change ordering.<br><br>
			Note: You cannot delete issues, because users rely on them.<br>
			Do not rename and recycle issues, if the new issue name refers to a different issue,
			since the users then own wrong issues.<br>
			Instead, close or reject the issues.</b></td>
	</tr>
</table>

<%@ include file="/footer.jsp" %>
