<%@ page contentType="text/html; charset=ISO-8859-15" language="java" %>
<%@ include file="/header.jsp" %>

<h2>>> Users</h2>

<%@ include file="navigation.jsp" %>

<%@ include file="errors.jsp" %>
<br>

<table cellpadding="0" cellspacing="0">
	<tr>
		<td align="center">&nbsp;&nbsp;<b>ID</b>&nbsp;&nbsp;</td>
		<td align="left">&nbsp;&nbsp;<b>Name</b>&nbsp;</td>
		<td align="center">&nbsp;&nbsp;<b>Type</b>&nbsp;&nbsp;</td>
		<td align="center">&nbsp;&nbsp;<b>Enabled</b>&nbsp;&nbsp;</td>
	</tr>
	<c:forEach items="${users}" var="user">
		<tr>
			<td align="center">
				&nbsp;&nbsp;<c:out value="${user.userId}"/>&nbsp;&nbsp;</td>
			<td align="left">
				&nbsp;&nbsp;<html:link page="/user/UserVP.do" name="user" property="userParameters"><c:out value="${user.name}"/></html:link>&nbsp;&nbsp;</td>
			<td align="center">
				&nbsp;&nbsp;<c:out value="${user.type}"/>&nbsp;&nbsp;</td>
			<td align="center">&nbsp;&nbsp;
				<c:choose>
					<c:when test="${user.enabled}">yes</c:when>
					<c:otherwise>no</c:otherwise>
				</c:choose>
				&nbsp;&nbsp;</td>
		</tr>
	</c:forEach>
</table>

<br>

<table cellpadding="0" cellspacing="0">
	<tr>
		<td><html:link page="/user/UserVP.do">New...</html:link></td>
	</tr>
</table>

<br>

<table cellpadding="0" cellspacing="0">
	<tr>
		<td><b class="gray">Note: Due to history reasons, you cannot delete users.<br>
			Do not rename and recycle users, if the new user name refers to a different user, since the issues then point to the wrong users.<br>
			Instead, disable the unused users./b></td>
	</tr>
</table>

<%@ include file="/footer.jsp" %>
